# CreateStaticLibrary

API Documentation: | `CreateStaticLibrary`

Assembles a static library from object files.

### Properties

Property | Description
`outputFile` | The file where the output binary will be located.
`source` | The source object files to be passed to the archiver.
`staticLibArgs` | Additional arguments passed to the archiver.
`targetPlatform` | The platform being linked for.
`toolChain` | The tool chain used for linking.

### Methods

Method | Description
`source(source)` | Adds a set of object files to be linked.

### Script blocks

No script blocks

### Property details

#### `RegularFileProperty` `outputFile`

The file where the output binary will be located.

#### `FileCollection` `source` (read-only)

The source object files to be passed to the archiver.

#### ``ListProperty`<`String`>` `staticLibArgs`

Additional arguments passed to the archiver.

#### ``Property`<`NativePlatform`>` `targetPlatform`

The platform being linked for.

#### ``Property`<`NativeToolChain`>` `toolChain`

The tool chain used for linking.

### Method details

#### `void` `source`(`Object` source)

Adds a set of object files to be linked.

The provided source object is evaluated as per `Project.files(java.lang.Object[])`.